%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-opam-file-format
Version:        2.1.6
Release:        %mkrel 1
Summary:        Parser and printer for the opam file syntax
Group:          Development/OCaml


%global libname %(echo %{name} | sed -e 's/^ocaml-//')

# This is apparently a standard "OCaml exception" and is detailed
# in the license file. That wasn't included in the repo, but I filed
# a ticket (https://github.com/ocaml/opam-file-format/issues/5)
# and now it is, so I've added the commit that added license as a patch.
License:        LGPLv2 with exceptions
URL:            https://github.com/ocaml/opam-file-format/
Source0:        https://github.com/ocaml/%{libname}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune
# for tests
BuildRequires:  ocaml-alcotest-devel

%description
Parser and printer for the opam file syntax.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{libname}-%{version} -p1

%build
%{dune_build}

%install
%{dune_install}

%check
%{dune_check}

%files -f .ofiles
%doc README.md CHANGES
%license LICENSE

%files devel -f .ofiles-devel
%license LICENSE



%changelog
* Fri Apr 04 2025 pterjan <pterjan> 2.1.6-1.mga10
+ Revision: 2173505
- Update to 2.1.6

* Sat Dec 10 2022 pterjan <pterjan> 2.1.4-1.mga9
+ Revision: 1920434
- Update to 2.1.4

* Wed May 18 2022 pterjan <pterjan> 2.1.3-2.mga9
+ Revision: 1858774
- Rebuild for OCaml 4.14

* Sat May 14 2022 pterjan <pterjan> 2.1.3-1.mga9
+ Revision: 1858175
- Update to 2.1.3

* Tue Mar 29 2022 umeabot <umeabot> 2.0.0-8.mga9
+ Revision: 1832127
- Mageia 9 Mass Rebuild

* Fri Oct 15 2021 tv <tv> 2.0.0-7.mga9
+ Revision: 1751499
- Rebuild for ocaml 4.13.1

* Fri Oct 15 2021 tv <tv> 2.0.0-6.mga9
+ Revision: 1751495
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 2.0.0-5.mga9
+ Revision: 1709753
- Rebuild for ocaml-4.12

* Fri Aug 21 2020 umeabot <umeabot> 2.0.0-4.mga8
+ Revision: 1617573
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1551168
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1545209
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1484299
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 2.0.0-0.4.beta3.mga7
+ Revision: 1324059
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 2.0.0-0.3.beta3.mga7
+ Revision: 1323774
- Rebuild for ocaml 4.07

* Wed Oct 03 2018 pterjan <pterjan> 2.0.0-0.2.beta3.mga7
+ Revision: 1316329
- Mageia 7 Mass Rebuild

* Wed Jan 31 2018 tv <tv> 2.0.0-0.1.beta3.mga7
+ Revision: 1198279
- imported package ocaml-opam-file-format

